drop table REQUEST;

drop table DEPARTMENT;

drop table OPERATOR;

create table OPERATOR
(
    USER_NAME                       Text(8)                       ,
    PASSWORD                        Text(8)                       ,
    FIRST_NAME                      Text(30)                      ,
    LAST_NAME                       Text(30)                      ,
    ACCESS_LEVEL                    Text(1)                       
);

create unique index PK_OPERATOR on OPERATOR (USER_NAME);

create table DEPARTMENT
(
    DEPT_CODE                       Text(4)                       ,
    DEPT_NAME                       Text(20)                      
);

create table REQUEST
(
    TRACKING_ID                     AUTOINCREMENT                 ,
    TITLE                           Text(100)                     ,
    DESCRIPTION                     Text                          ,
    REQUESTOR                       Text(8)                       ,
    SUBMISSION_DATE                 DateTime                      ,
    COMPLETION_DATE                 DateTime                      ,
    STATUS                          Text(1)                       ,
    APPROVED_BUDGET                 Text(4)                       
);

create unique index PK_REQUEST on REQUEST (TRACKING_ID);

